MERGE HDOSYADETAY AS hedef
USING HDOSYA AS kaynak
ON hedef.HDOSYAID = kaynak.HDOSYAID
WHEN MATCHED THEN
    -- Eşleşen kayıtlar için güncelleme veya silme işlemleri
    UPDATE SET HEDEF.MESAJGONDERILDI=ISNULL(KAYNAK.MESAJGONDERILDI,0)
WHEN NOT MATCHED  AND kaynak.MESAJGONDERILDI=1  THEN
    -- Hedef tabloda olmayan kayıtları ekleme
    INSERT (HDOSYAID,MESAJGONDERILDI) VALUES (HDOSYAID,ISNULL(MESAJGONDERILDI,0));
